.\"	$NetBSD: getbsize.3,v 1.8 2003/05/30 02:22:23 simonb Exp $
.\"
.\" Copyright (c) 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)getbsize.3	8.1 (Berkeley) 6/4/93
.\"
.Dd May 30, 2003
.Dt GETBSIZE 3
.Os
.Sh NAME
.Nm getbsize
.Nd get user block size
.Sh LIBRARY
.Lb libc
.Sh SYNOPSIS
.In stdlib.h
.Ft char *
.Fn getbsize "int *headerlenp" "long *blocksizep"
.Sh DESCRIPTION
The
.Nm getbsize
function determines the user's preferred block size based on the value of the
.Dq BLOCKSIZE
environment variable; see
.Xr environ 7
for details on its use and format.
.Pp
The
.Nm getbsize
function returns a pointer to a
.Dv NUL
terminated string describing
the block size, something like
.Dq 1K-blocks .
If the
.Fa headerlenp
parameter is not
.Dv NULL
the memory referenced by
.Fa headerlenp
is filled in with the length of the string (not including the
terminating
.Dv NUL ) .
If the
.Fa blocksizep
parameter is not
.Dv NULL
the memory referenced by
.Fa blocksizep
is filled in with block size, in bytes.
.Pp
If the user's block size is unreasonable, a warning message is
written to standard error and the returned information reflects
a block size of 512 bytes.
.Sh SEE ALSO
.Xr df 1 ,
.Xr du 1 ,
.Xr ls 1 ,
.Xr systat 1 ,
.Xr environ 7
.Sh HISTORY
The
.Nm getbsize
function first appeared in
.Bx 4.4 .
